Daily Summaries
Get daily summaries
Retrieve historical daily portfolio summaries with performance metrics and market insights.
GET
/
daily-summaries
Get user daily summaries
curl --request GET \
--url https://{host}/daily-summaries \
--header 'Authorization: Bearer <token>' \
--header 'x-user-id: <x-user-id>'import requests
url = "https://{host}/daily-summaries"
headers = {
"x-user-id": "<x-user-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-user-id': '<x-user-id>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/daily-summaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"chartLabel": "Mon\n01",
"timestamp": 1704067200000,
"portfolio": {
"cash": {
"key": "cash",
"displayValue": "€500.00",
"value": 500
},
"savings": {
"key": "savings",
"displayValue": "€1,500.00",
"value": 1500,
"unrealisedMonthlyInterest": "€5.50",
"dailyInterest": "€0.18"
},
"holdings": {
"key": "holdings",
"displayValue": "€3,000.00",
"value": 3000,
"upBy": "€150.00"
},
"total": {
"key": "total",
"displayValue": "€5,000.00",
"value": 5000,
"upBy": "€150.00"
}
},
"sentimentScore": {
"total": {
"score": 75,
"label": "optimal"
},
"news": {
"score": 80,
"label": "optimal"
},
"analyst": {
"score": 70,
"label": "optimal"
},
"priceMomentum": {
"score": 75,
"label": "optimal"
}
},
"performers": {
"all": [
{
"assetId": "APPLE",
"value": "€1,200.00",
"weight": "40%",
"upBy": "€50.00"
}
],
"best": [
{
"assetId": "APPLE",
"value": "€1,200.00",
"weight": "40%",
"upBy": "€50.00"
}
],
"worst": [
{
"assetId": "TESLA",
"value": "€800.00",
"weight": "27%",
"downBy": "€25.00"
}
]
}
}
],
"maxValueDifferences": {
"cash": 100,
"savings": 500,
"holdings": 1000,
"total": 1500
}
}{
"status": 401,
"error": {
"message": "User not found"
},
"responseId": "145f2b0d-1d5b-4e91-8d0d-7af0ae9ad13a"
}{
"status": 403,
"error": {
"message": "Access denied"
},
"responseId": "5e467f79-c62c-4d83-9810-7a0f8529fd76"
}Authorizations
Auth0-issued access token that includes the scopes listed for the endpoint.
Headers
User identifier for the M2M client to specify which user's data to access.
Pattern:
^[a-f0-9]{24}$Response
Daily summaries retrieved successfully.
⌘I
Get user daily summaries
